// SEXSCRIPTS MAIN MENU
// By Banjo
// banjosbbs@hotmail.com
// www.banjosbbs.blogspot.com
// Version 2.1
//
// CREDITS:
// Based on the original "intro.groovy" script by Doti
//
// COPYRIGHT:
// This script, from http://ss.deviatenow.com, is protected by this licence:
// CC by-NC, see http://creativecommons.org/licenses/by-nc/4.0/
// This copyright refers only to this script itself; it does not include any other included resources (images, music, sounds, etc.) which remain the property of their owners.
//
// NOTES:
// This script is designed to run whenever you open SexScripts, as a simple menu interface.
// It is advised that you run Expanded Setup script ("setup.groovy") first.

//Metadata
setInfos(4, "Main Menu",
	"Menu that displays whenever SexScripts is run",
	"Banjo",
	"complete", 0xFFEEEE, "en",
	["options"]);

//Check this script is default script to load
if(loadBoolean("setting.newsetup")==true) {
	save("intro.start_script", "system/mainmenu");
}

//Check Enhanced Setup has been run
if(!loadBoolean("setting.setup_ran"))
	return "system/setup";

//Check Enhanced Setup Values
if(!loadBoolean("setting.newsetup")) {
	def user_name = (loadString("intro.name"));
	save ("user.name", user_name);
	def user_likefemale = (loadString("intro.likefemale"));
	save ("user.likefemale", user_likefemale);
	def user_likemale = (loadString("intro.likemale"));
	save ("user.likemale", user_likemale);
	def user_female = (loadString("intro.female"));
	save ("user.female", user_female);
}

//Main Menu
show(null);
setImage(null);
setImage("logo.png");
def menu = true;
while(menu) {
	def menuoption = getSelectedValue("<em>Select Option:</em>", ["Load Script", "Load Favourite", "Refresh", "Config", "Quit"]);
	//Menu Option: Load Script
	if(menuoption==0) {
		def sscriptDir = new File(".").absolutePath;
		def load_script = getFile("Select a .groovy file");
		if (load_script==null) {
			show("No file selected");
			wait(3);
			return "system/restart";
		}
		else {
			load_script = load_script.replace(".groovy", "")
			if(load_script.contains("\\"))
				load_script = load_script.substring(load_script.lastIndexOf("\\"));
			if(load_script.contains("/"))
				load_script = load_script.substring(load_script.lastIndexOf("/"));
			return ""+load_script+"";
		}
	}
	//Menu Option: Load Favourite Script
	else if(menuoption==1) {
		show(null);
		return "system/favourites";
	}
	//Menu Option: Restart
	else if(menuoption==2) {
		show(null);
		setImage(null);
		return "system/restart";
	}
	//Menu Option: Config
	else if(menuoption==3) {
		show(null);
		setImage(null);
		return "system/config";
	}
	//Menu Option: Quit
	else if(menuoption==4) {
		if(getBoolean("Exit SexScripts?"))
			exit();
	}
}
//END OF SCRIPT